/**
 * Test case for create.
 * Runs with mocha.
 */
'use strict'

const create = require('../lib/create.js')
const assert = require('assert')
const path = require('path')
const apemanport = require('apemanport')
const co = require('co')
const apemanrequest = require('apemanrequest')

describe('create', () => {
  let port, server
  let request = apemanrequest.create({})
  before(() => co(function * () {
    port = yield apemanport.find()
    let app = create(__dirname, {})
    server = yield require('apeman-app')('testing-app', {
      port,
      configuration: {
        $apps: {
          'testing-app': {
            '/': app
          }
        }
      }
    })
  }))

  after(() => co(function * () {
    yield server.close()
  }))

  it('Create an app.', () => co(function * () {
    let name = path.basename(__filename)
    let res = yield request(`http://localhost:${port}/${name}`)
    assert.ok(res.statusCode, 200)
  }))
})

/* global describe, before, after, it */
